import { Command } from "./Command.js";
export class DownloadRepositoryCommand extends Command {
    constructor(url, token, id, ref = 'main') {
        super(url, 'GET', `projects/${id}/repository/archive.zip?sha=${ref}`, token);
    }
    async execute() {
        return await super.execute(undefined, false);
    }
}
//# sourceMappingURL=DownloadRepositoryCommand.js.map