import { Command } from "./Command.js";
export class GetMergeRequestsByBranchesCommand extends Command {
    constructor(url, token, id, sourceBranch, targetBranch = 'main', state = 'opened') {
        super(url, 'GET', `projects/${id}/merge_requests?source_branch=${sourceBranch}&target_branch=${targetBranch}&state=${state}`, token);
    }
}
//# sourceMappingURL=GetMergeRequestsByBranchesCommand.js.map