import { Command } from "./Command.js";
export class MergeMergeRequestCommand extends Command {
    constructor(url, token, id, mergeRequestIid, shouldRemoveSourceBranch = true, json = false) {
        super(url, 'PUT', `projects/${id}/merge_requests/${mergeRequestIid}/merge?should_remove_source_branch=${shouldRemoveSourceBranch}`, token);
        this.json = json;
    }
    async execute() {
        return await super.execute(undefined, this.json);
    }
}
//# sourceMappingURL=MergeMergeRequestCommand.js.map